Bug 132775 - autoreconf 2.59-3 scans for AC_PROG_LIBTOOL but not AM_PROG_LIBTOOL
Summary: autoreconf 2.59-3 scans for AC_PROG_LIBTOOL but not AM_PROG_LIBTOOL
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Reed
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-16 20:57 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 03:51:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2004-09-16 20:57:14 UTC
When running autoreconf, the script scans configure.ac for
AC_PROG_LIBTOOL to determine if libtool is being used.  libtool.m4
provides AM_PROG_LIBTOOL as a compatibility alias for AC_PROG_LIBTOOL,
but autoreconf doesn't check for this, so autoreconf may not run
libtoolize in some cases when it's actually needed.

Comment 1 Daniel Reed 2004-10-09 03:51:00 UTC
AM_PROG_LIBTOOL is deprecated according to Libtool's documentation,
and is not mentioned at all in Autoconf's or Automake's documentation
(AC_PROG_LIBTOOL is). I believe the proper solution is to switch the
Autoconf input file to use AC_PROG_LIBTOOL instead of AM_PROG_LIBTOOL.


Note You need to log in before you can comment on or make changes to this bug.